Skip navigation
Currently Being Moderated

"Could not complete your request because of a program error" upon Open

Jun 19, 2013 5:42 PM

Tags: #help #error #adobe #mac #install #open #complete #creative #program #download #cs6 #cloud #cc

Hi,

 

I've spent over 2 hours on the phone with Tech Support trying to troubleshoot the following error: Could not complete your request because of a program error. This error occurs when I open Photoshop CC, try to open a file, and try to open the performence settings. I am running Photoshop CC, Mac OS X 10.8.4.

 

Here is basic system information:

 

Model Name:          MacBook Pro

  Model Identifier:          MacBookPro8,2

  Processor Name:          Intel Core i7

  Processor Speed:          2.2 GHz

  Number of Processors:          1

  Total Number of Cores:          4

  L2 Cache (per Core):          256 KB

  L3 Cache:          6 MB

  Memory:          8 GB

  Boot ROM Version:          MBP81.0047.B27

  SMC Version (system):          1.69f4

 

 

Any Ideas??

 

Thanks!!!

Branched to a new discussion.
 
Replies
  • Currently Being Moderated
    Jun 19, 2013 10:22 PM   in reply to ahan.tm

    Look in your Photoshop preferences folder for the file PSErrorLog.txt

    (~/Library/Preferences/Photoshop CC Settings/PSErrorLog.txt)

     

    That file is a log of program errors - it doesn't catch everything, but with luck it'll catch this error.

     

    Copy the last few lines in that file and post them here.

     
    |
    Mark as:
  • Currently Being Moderated
    Dec 16, 2013 11:40 AM   in reply to Chris Cox

    Hi Chris,

     

    I am contacting you because I have the same problem as Ahan who you answered last year, it worked for him but not for me.

    the PS Error Log says that from the beginning when I started to lauch Photoshop CC and have the message " Could not complete your request because of a program error ":

     

    2013:12:16 14:08:59 : /Volumes/workarea/PS_14_Mac_Daily_Retail/20130923.r.427/photoshop/mai n/photoshop/xcode/../sources/UColorState.cpp : 737 : REQUIRE failed

     

    Any suggestions ? I am on Mac 10.7

     

    Thanks

     
    |
    Mark as:
  • Currently Being Moderated
    Jan 22, 2014 4:49 PM   in reply to HUGOM

    Seems this issue is happening everywhere.  Mine gives errors when working on the base layer of an image.  Im using PSCC 14.2 latest upgrade

     
    |
    Mark as:
  • Currently Being Moderated
    Jan 29, 2014 3:44 PM   in reply to Chris Cox

    Hi Chris

     

    I'm frequently having similar errors.

     

    One situation that consistently has these errors is when I have pasted image data into a new Photoshop document and merged that data with background layer. trying to perform any pixel editing tasks has an error, as does saving as a jpg.

     

    "Could not complete the Curves command because of a program error."

    "Could not use the brush tool because of a program error."

    "Could not save as “Untitled-2.jpg” because of a program error."

     

    Similar errors occur for levels, spot healing brush, hue/saturation and more.

     

    I can't be certain but besides the senario above I think there are other situations where I get similar errors.

     

    Looking in the PSErrorLog.txt it has been the same error recorded each time:

    2014:01:30 10:02:06 : /Volumes/workarea/PS_14_Mac_Daily_Retail/20131211.r.515/photoshop/mai n/photoshop/xcode/../sources/USheetList.cpp : 246 : REQUIRE failed

     

    Hope you can help.

     

    Ziggi

     
    |
    Mark as:
  • Currently Being Moderated
    Jan 30, 2014 2:30 AM   in reply to Ziggi Browning

    Same here!

     

    Program errors with Liquify, Fill, brush tool,....

    impossible to work like this.

     

    Help!

     

    PSCC 14.2 on my Mac Pro

     
    |
    Mark as:
  • Currently Being Moderated
    Jan 31, 2014 3:10 AM   in reply to Chris Cox

    I am having all manner of issues with Photoshop CC this morning - I make edits, and then can't save a JPEG due to a 'Program Error' - A levels adjustment won't come up, again, due to a 'Program Error'

     

    I have uninstalled and re-installed, and still get the exact same results.

     

    Error log is:

     

    2014:01:31 10:36:48 : /Volumes/workarea/PS_14_Mac_Daily_Retail/20131211.r.515/photoshop/mai n/photoshop/xcode/../sources/USheetList.cpp : 246 : REQUIRE failed

    2014:01:31 10:37:10 : /Volumes/workarea/PS_14_Mac_Daily_Retail/20131211.r.515/photoshop/mai n/photoshop/xcode/../sources/USheetList.cpp : 246 : REQUIRE failed

    2014:01:31 10:39:00 : /Volumes/workarea/PS_14_Mac_Daily_Retail/20131211.r.515/photoshop/mai n/photoshop/xcode/../sources/USheetList.cpp : 246 : REQUIRE failed

    2014:01:31 10:45:44 : /Volumes/workarea/PS_14_Mac_Daily_Retail/20131211.r.515/photoshop/mai n/photoshop/xcode/../sources/USheetList.cpp : 246 : REQUIRE failed

    2014:01:31 11:03:06 : /Volumes/workarea/PS_14_Mac_Daily_Retail/20131211.r.515/photoshop/mai n/photoshop/xcode/../sources/USheetList.cpp : 246 : REQUIRE failed

    2014:01:31 11:04:19 : /Volumes/workarea/PS_14_Mac_Daily_Retail/20131211.r.515/photoshop/mai n/photoshop/xcode/../sources/USheetList.cpp : 246 : REQUIRE failed

    2014:01:31 11:04:50 : /Volumes/workarea/PS_14_Mac_Daily_Retail/20131211.r.515/photoshop/mai n/photoshop/xcode/../sources/USheetList.cpp : 246 : REQUIRE failed

    2014:01:31 11:05:20 : /Volumes/workarea/PS_14_Mac_Daily_Retail/20131211.r.515/photoshop/mai n/photoshop/xcode/../sources/USheetList.cpp : 246 : REQUIRE failed

     
    |
    Mark as:
  • Currently Being Moderated
    Jan 31, 2014 3:15 AM   in reply to paul.westlake

    My problems are gone now.

    Did a P-Ram reset on my mac & trashed the photoshop presets (CMD-Option-Shift on startup Photoshop) and all 's well...

     
    |
    Mark as:
  • Currently Being Moderated
    Feb 1, 2014 12:49 AM   in reply to ahan.tm

    Same here.

    I merged two layers, went to the top layer and tried to make it invisible. Then the error came. It started around an hour ago and always comes when I click the visibility eye of the top layer.

     

    2014:02:01 18:38:57 : /Volumes/workarea/PS_14_Mac_Daily_Retail/20131211.r.515/photoshop/mai n/photoshop/xcode/../sources/USheetList.cpp : 246 : REQUIRE failed

    2014:02:01 18:38:59 : /Volumes/workarea/PS_14_Mac_Daily_Retail/20131211.r.515/photoshop/mai n/photoshop/xcode/../sources/USheetList.cpp : 246 : REQUIRE failed

     

    Thanks.

     
    |
    Mark as:
  • Currently Being Moderated
    Feb 1, 2014 11:47 AM   in reply to aniltortop

    Any chance you have Generator turned on?  Can you try turning it off?

     
    |
    Mark as:
  • Currently Being Moderated
    Feb 1, 2014 12:42 PM   in reply to Chris Cox

    Yes I did have Generator turned on, Not that I knew what it did.

     

    Having some dinner before continuing retouching, ill reboot the machine in the meantime.  Wait here...

     

     

    Chris Cox - Your a genius!

     

    What are Adobe doing putting preference options in PSCC that can seriously tamper with your progress????

     
    |
    Mark as:
  • Currently Being Moderated
    Feb 1, 2014 3:44 PM   in reply to Chris Cox

    I am getting the same error message (Could not complete your request because of a program error) except it happens whenver I try to apply a layer style. Here are the last few lines of my error log:

     

    2014:02:01 15:19:28 : /Volumes/workarea/PS_14_Mac_Daily_Retail/20131211.r.515/photoshop/mai n/photoshop/xcode/../sources/UPattern.cpp : 1681 : REQUIRE failed

    2014:02:01 15:19:37 : /Volumes/workarea/PS_14_Mac_Daily_Retail/20131211.r.515/photoshop/mai n/photoshop/xcode/../sources/UPattern.cpp : 1681 : REQUIRE failed

    2014:02:01 15:20:38 : /Volumes/workarea/PS_14_Mac_Daily_Retail/20131211.r.515/photoshop/mai n/photoshop/xcode/../sources/UPattern.cpp : 1681 : REQUIRE failed

    2014:02:01 15:31:14 : /Volumes/workarea/PS_14_Mac_Daily_Retail/20131211.r.515/photoshop/mai n/photoshop/xcode/../sources/UPattern.cpp : 1681 : REQUIRE failed

    2014:02:01 15:32:01 : /Volumes/workarea/PS_14_Mac_Daily_Retail/20131211.r.515/photoshop/mai n/photoshop/xcode/../sources/UPattern.cpp : 1681 : REQUIRE failed

    2014:02:01 15:35:22 : /Volumes/workarea/PS_14_Mac_Daily_Retail/20131211.r.515/photoshop/mai n/photoshop/xcode/../sources/UPattern.cpp : 1681 : REQUIRE failed

    2014:02:01 15:35:57 : /Volumes/workarea/PS_14_Mac_Daily_Retail/20131211.r.515/photoshop/mai n/photoshop/xcode/../sources/UPattern.cpp : 1681 : REQUIRE failed

    2014:02:01 15:38:15 : /Volumes/workarea/PS_14_Mac_Daily_Retail/20131211.r.515/photoshop/mai n/photoshop/xcode/../sources/UPattern.cpp : 1681 : REQUIRE failed

    2014:02:01 15:38:44 : /Volumes/workarea/PS_14_Mac_Daily_Retail/20131211.r.515/photoshop/mai n/photoshop/xcode/../sources/UPattern.cpp : 1681 : REQUIRE failed

    2014:02:01 15:39:13 : /Volumes/workarea/PS_14_Mac_Daily_Retail/20131211.r.515/photoshop/mai n/photoshop/xcode/../sources/UPattern.cpp : 1681 : REQUIRE failed

     
    |
    Mark as:
  • Currently Being Moderated
    Feb 1, 2014 3:51 PM   in reply to CjDocious

    CJDocious - you have a very different problem, only connected by unexplained errors.

     

    And that error log means you have a corrupt pattern preset in your preferences.

    It could be in patterns.psp, brushes.psp, or styles.psp -- and because it happens in styles, I'm going to guess it's in styles.psp.

     
    |
    Mark as:
  • Currently Being Moderated
    Feb 1, 2014 3:52 PM   in reply to anthonyhague

    Anthony - you're just hitting a bug in the generator code, and I happened to see a similar problem a few hours ago and guessed it might be the same issue.

     
    |
    Mark as:
  • Currently Being Moderated
    Feb 1, 2014 3:56 PM   in reply to Chris Cox

    Thanks, and the best way to try and fix this is...?

     
    |
    Mark as:
  • Currently Being Moderated
    Feb 1, 2014 6:37 PM   in reply to CjDocious

    Delete the preferences file that causes the problem.

     
    |
    Mark as:
  • Currently Being Moderated
    Feb 1, 2014 9:09 PM   in reply to Chris Cox

    No, I didn't have Generator turned on. I tried turning it on and off, but nothing changed. As a temporary solution I'm keeping an empty layer on the top.

     
    |
    Mark as:
  • Currently Being Moderated
    Feb 2, 2014 6:09 PM   in reply to Chris Cox

    Hi Chris

     

    Turning off Generator (in the Plug-Ins preference pane) and restarting Photoshop has fixed the program errors I was having so thank you very much for making that suggestion!

     

    My program errors are described in more detail in one of the comments above but for quick reference they gave this error log:

    2014:01:30 10:02:06 : /Volumes/workarea/PS_14_Mac_Daily_Retail/20131211.r.515/photoshop/mai n/photoshop/xcode/../sources/USheetList.cpp : 246 : REQUIRE failed

     

    I never knowingly turned on Generator and indeed had never heard of it before. I suspect that when I installed Potoshop and chose to load settings from a previous version of Photoshop (CS5) somehow it was turned on then. My colleagues who chose not to import settings don't have Generator turned on.

     

    Ziggi

     
    |
    Mark as:
  • Currently Being Moderated
    Feb 10, 2014 10:25 PM   in reply to Chris Cox

    Chris,

     

    I'm having a similar issue... I'm trying to OPEN a PS doc and I get this error.  I tried looking for this 'library' folder but couldn't find it.... I also searched on my computer for the PSErrorlog.txt file and couldn't find that.

     

    Does this mean I can't open the file I was working on?

     

    I appreciate your help! 

     
    |
    Mark as:
  • Currently Being Moderated
    Feb 11, 2014 12:09 AM   in reply to Curt Pair

    The PSErrorLog.txt file is in your Photoshop preferences folder.

     

    And if you get a program error after showing the OS open dialog, you're probably on MacOS 10.9.0 and haven't installed the 10.9.1 update (or changed the view away from CoverFlow).

     
    |
    Mark as:
  • Currently Being Moderated
    Feb 11, 2014 12:14 AM   in reply to Chris Cox

    Thanks for writing back Chris.  I'm actually a Windows 7 Pro, 64 bit user.  I guess I should have said that.   Does this shed any light?

     
    |
    Mark as:
  • Currently Being Moderated
    Feb 11, 2014 3:13 AM   in reply to Chris Cox

    I have just rebuilt our system, and on launching PS i have this same error dialog:

     

    Could not complete your request because of a program error.

     

    Any help woudl be appreciated.

     

    Thanks

    David

     
    |
    Mark as:
  • Currently Being Moderated
    Feb 11, 2014 3:32 AM   in reply to FORMAT.LDN

    Hi All,

     

    I checked and fixed Disk Permissions on the MacPro (via Disk Utility) and now all is working correctly again.

     

    Really does sound like a persmissions / file access issue to me.

     

    Paul

     
    |
    Mark as:
  • Currently Being Moderated
    Feb 11, 2014 3:39 AM   in reply to paul.westlake

    I've just tried this  and still have exactly the same problem. Very strange - before i rebuilt the system photoshop was absolutely fine - but on a full clean install i have the problem.

     

    Very odd.

     

    David

     
    |
    Mark as:
  • Currently Being Moderated
    Feb 11, 2014 6:40 AM   in reply to FORMAT.LDN

    Hi All,

     

    I seem to have fixed the problem. I removed CC completely. Ran the cleaner tool which didn't manage to locate any other files - but when i checked the preferences folder in both libraries - there were several adobe files , so i went through and deleted anything named adobe - then ran the CC installer and now seems to be fixed.

     
    |
    Mark as:

More Like This

  • Retrieving data ...

Bookmarked By (0)

Answers + Points = Status

  • 10 points awarded for Correct Answers
  • 5 points awarded for Helpful Answers
  • 10,000+ points
  • 1,001-10,000 points
  • 501-1,000 points
  • 5-500 points